<?php

use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ChangeOfferTableStatusAndAcceptStatusFields extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::statement("ALTER TABLE offer MODIFY COLUMN accept_status tinyint(1) NOT NULL DEFAULT '2' COMMENT  '0  canceled, 1 accepted, 2 pending' ");

        DB::statement("ALTER TABLE offer MODIFY COLUMN status tinyint(1) NOT NULL DEFAULT '1' AFTER accept_status");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {

    }
}
